Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Release the admission hold
const url = 'https://example.com/v1/release-admission-hold';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"admissionHistoryComplete":true,"priorDeploymentFenced":true,"recoveryReference":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/release-admission-hold \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "admissionHistoryComplete": true, "priorDeploymentFenced": true, "recoveryReference": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "admissionHistoryComplete": true, "priorDeploymentFenced": true, "recoveryReference": "example"}Responses
Section titled “Responses”Authorized result
object
Example generated
{ "admissionsHold": true}A problem: request.invalid, request.reason-invalid.
object
Example
{ "code": "request.invalid", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: authentication.refused.
object
Example
{ "code": "authentication.refused", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Headers
Section titled “Headers”Bearer authentication challenge for missing or refused credentials.
A problem: operation.not-authorized.
object
Example
{ "code": "operation.not-authorized", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.method-not-allowed.
object
Example
{ "code": "request.method-not-allowed", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: admission.held, execution.held.
object
Example
{ "code": "admission.held", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.body-too-large.
object
Example
{ "code": "request.body-too-large", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.unsupported-media-type.
object
Example
{ "code": "request.unsupported-media-type", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: runtime.failure.
object
Example
{ "code": "runtime.failure", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: audit.response-unavailable, service.unavailable.
object
Example
{ "code": "audit.response-unavailable", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Headers
Section titled “Headers”Whole seconds to wait before trying again.
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.